package com.gingersoft.gsa.cloud.common.ui.adapter.multi;

import android.content.Context;

import com.chad.library.adapter.base.BaseProviderMultiAdapter;
import com.gingersoft.gsa.cloud.common.ui.bean.InfoMultiBean;

import org.jetbrains.annotations.NotNull;

import java.util.List;

/**
 * @author 宇航.
 * User: admin
 * Date: 2020/11/20
 * Time: 10:40
 * Use:
 */
public class InfoMultiAdapter extends BaseProviderMultiAdapter<InfoMultiBean> {

    @Override
    protected int getItemType(@NotNull List<? extends InfoMultiBean> list, int i) {
        return list.get(i).getItemType();
    }

    public InfoMultiAdapter(Context context, List<InfoMultiBean> infoMultiBeans) {
        super(infoMultiBeans);
        addItemProvider(new InputProvider());
        addItemProvider(new ThickLineProvider());
        addItemProvider(new TitleProvider());
        addItemProvider(new RadioProvider(context));
        addItemProvider(new SelectDialogProvider(context));
    }


}
